//查看详情1
function ckxq(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/WorkDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '工单详情',
		area: ['87%', '80%'], //宽高
	});
}

//编辑2
function bj(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/AddAppeal.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '编辑工单',
		area: ['96%', '80%'], //宽高
	});
}

//删除3
function move(str) {
	layer.confirm('确定删除工单？', {
		btn: ['是', '否'] //按钮
	}, function() {
		$.post(huayi.config.callcenter_url + "WorkOrder/DelWorkOrder", {
			ids: str,
			token: $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				debugger
				layer.msg("删除成功");
				$("#orderlist").bootstrapTable('refresh');
			}
		})
	});
}

//提交4
function tj(str) {
	layer.confirm('确定要提交工单么？', {
		btn: ['确定', '取消'] //按钮
	}, function() {
		//请求后台数据
		/*发送请求*/
		$.post(huayi.config.callcenter_url + "WorkOrder/SubmitWorkOrder", {
			ids: str,
			token: $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("提交成功");
				$("#orderlist").bootstrapTable('refresh');
				//load();
			}
		})
	});
}

//交办5
function jb(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/jiaoban.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '工单交办',
		area: ['87%', '80%'], //宽高
	});
}

//领导批示6
function lader(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Leader.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '领导批示',
		area: ['60%', '80%'], //宽高
	});
}

//市长批示7
function city(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/shizhang.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '市长批示',
		area: ['60%', '80%'], //宽高
	});
}

//督办8
function Supervision(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Supervision_.html?wid=" + str + '&type=1', //iframe的url，no代表不显示滚动条
		title: '督办',
		area: ['60%', '80%'], //宽高
	});
}

//督查9
function Supervision_(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Supervision_.html?wid=" + str + '&type=2', //iframe的url，no代表不显示滚动条
		title: '监察',
		area: ['60%', '80%'], //宽高
	});
}

//收回10
function sh(str) {
	layer.confirm('确定要回收？', {
		btn: ['是', '否'] //按钮
	}, function() {
		$.post(huayi.config.callcenter_url + "WorkOrder/TakeBackWorkOrder", {
			workorderid: str,
			token: $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("回收");
				//load();
				$("#orderlist").bootstrapTable('refresh');
			}
		})
	});
}

//查收11
function cs(str) {
	layer.confirm('确定要查收？', {
		btn: ['是', '否'] //按钮
	}, function() {
		$.post(huayi.config.callcenter_url + "WorkOrder/ReceiveWorkOrder", {
			workorderid: str,
			token: $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("查收成功");
				$("#orderlist").bootstrapTable('refresh');
			}
		})
	});
}

//退回申请12
function th(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/tuihuisq.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '申请退回工单',
		area: ['60%', '80%'], //宽高
	});
}

//办理13
function bl(str, isProtect) {
	console.log("isProtect2222", isProtect)
	layer.open({
		type: 2,
		content: "../CommonHtml/banli.html?wid=" + str + "&isProtect=" + isProtect, //iframe的url，no代表不显示滚动条
		title: '办理工单',
		area: ['60%', '80%'], //宽高
	});
}

//申请延时14
function ys(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Timesq.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '申请延时',
		area: ['60%', '80%'], //宽高
	});
}

//审核退回申请15
function shth(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/shth.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '审核退回申请',
		area: ['60%', '80%'], //宽高
	});
}

//诉求回访16
function hf(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Back.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '工单回访',
		area: ['60%', '80%'], //宽高
	});
}

//审核申请延时17
function shys(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/shTime.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '审核延时申请',
		area: ['60%', '80%'], //宽高
	});
}

//重办工单18
function cb(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Cb.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '重办工单',
		area: ['60%', '80%'], //宽高
	});
}

//结案19
function Lawsuit(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/lawsuits.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '诉求单结案',
		area: ['60%', '80%'], //宽高
	});
}

//导出20

//回退BackDtail 21
function BackDtail(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/BackDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '工单督办',
		area: ['60%', '80%'], //宽高
	});
}

//强制结案 22
function StrongLawsuit(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/StrongLawsuit.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '强制结案',
		area: ['60%', '80%'], //宽高
	});
}

//派单 23
function pd(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/handle.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '办理工单',
		area: ['87%', '80%'], //宽高
	});
}

//处理审核 24
function auditdeal(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/processing_audit.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '处理审核',
		area: ['80%', '80%'], //宽高
	});
}

 //签收 25
function sign(str) {
    layer.confirm('确定要签收？', {
        btn: ['是', '否'] //按钮
    }, function () {
        $.post(huayi.config.callcenter_url + "WorkOrder/SignWorkOrder", {
            workorderid: str,
            token: $.cookie("token")
        }, function (result) {
            result = JSON.parse(result);
            if (result.state.toLowerCase() == "success") {
                layer.msg("签收成功");
                load();
            }
        })
    });
}

//拒收  26
function refuse(str) {
	layer.open({
        type: 2,
        content: "../CommonHtml/rejection.html?wid=" + str, //iframe的url，no代表不显示滚动条
        title: '拒收',
        area: ['60%', '80%'], //宽高
   });
}

//撤回  27
function withDraw(str){
	layer.open({
		content: '是否要撤回？',
	  	btn: ['是', '否'],
	  	yes: function(index, layero){
	    	$.post(huayi.config.callcenter_url + "WorkOrder/NoticeWorkOrder", {
				workorderid: str,//工单编号
				isnotice: 0,//(0撤回，1通告)
				//deptids: '',
				token: $.cookie("token")
			}, function(result) {
				var data = JSON.parse(result);		
				if(data.state == "success") {
					$(".withDrawBtn").hide();
					layer.close();
					load();
					layer.msg("撤回成功");
				}
			})
		}
	})
}

//审核 28
function audit(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/AuditDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '审核',
		area: ['60%', '80%'], //宽高
	});
}

//转督办 29
function zdb(str, row) {
	layer.open({
		type: 2,
		content: "../CommonHtml/superTrunl.html?wid=" + str + "&depId=" + row, //iframe的url，no代表不显示滚动条
		title: '督办工单',
		area: ['60%', '80%'], //宽高
	});

}

//不督办 30
function ndb(str) {
	layer.confirm('确定督办吗？', {
		btn: ['是', '否'] //按钮
	}, function() {
		$.post(huayi.config.callcenter_url + 'WorkOrder/RemindWorkOrder', {
			workorderid: str,
			type: 1,
			state: 2,
			"token": $.cookie("token")
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("操作成功");
				//load();
				$("#orderlist").bootstrapTable('refresh');
			}
		})
	});
}

//提交重办31
function tjcb(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/reasonCB.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '提交重办',
		area: ['50%', '40%'], //宽高
	});
}

//驳回重办 32
function bhcb(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/rejectionCB.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '驳回重办',
		area: ['60%', '80%'], //宽高
	});
}

//履职界定 33
function lzjd(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/ResumptionDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '履职界定',
		area: ['85%', '80%'], //宽高
	})
}

//界定审核34
function jdsh(str) {
	layer.open({
		type: 2,
		content: "../CommonHtml/Define_audit.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '界定审核',
		area: ['85%', '60%'], //宽高
	})
}

// 省平台签收35
function provincialPlatformSignup(str) {
    layer.confirm(
        "确定签收吗？",
        {
            btn: ["是", "否"], //按钮
        },
        function () {
            $.post(
                huayi.config.callcenter_url + "Affairs/SubmitWorkOrder",
                {
                    ids: str,
                    token: $.cookie("token"),
                },
                function (result) {
                    result = JSON.parse(result);
                    if (result.state.toLowerCase() == "success") {
                        layer.msg("操作成功");
                        load();
                    }
                }
            );
        }
    );
}

// 省平台退回36
function provincialPlatformReturn(str) {
    layer.open({
        type: 2,
        content: "../CommonHtml/provincialPlatformReturn.html?wid=" + str, //iframe的url，no代表不显示滚动条
        title: "省平台退回",
        area: ["70%", "70%"], //宽高
        shade: 0,
    });
}

// 省平台申请延时37
function provincialPlatformApplicationDelay(str,type) {
    layer.open({
        type: 2,
        content:
            "../CommonHtml/provincialPlatformApplicationDelay.html?wid=" + str+"&type="+type, //iframe的url，no代表不显示滚动条
        title: "省平台申请延时",
        area: ["70%", "70%"], //宽高
        shade: 0,
    });
    
}

// 省平台申请延时38
function provincialPlatformApplicationDelay(str,type) {
    layer.open({
        type: 2,
        content:
            "../CommonHtml/provincialPlatformApplicationDelay.html?wid=" + str+"&type="+type, //iframe的url，no代表不显示滚动条
        title: "省平台申请延时",
        area: ["70%", "70%"], //宽高
        shade: 0,
    });
    
}

// 省平台反馈39
function provincialPlatformFeedback(str) {
    layer.open({
        type: 2,
        content: "../CommonHtml/provincialPlatformFeedback.html?wid=" + str, //iframe的url，no代表不显示滚动条
        title: "省平台反馈",
        area: ["70%", "70%"], //宽高
        shade: 0,
    });
}

// 服务工单上报39
function reportServiceWorkOrder(str) {
    layer.open({
        type: 2,
        content: "../CommonHtml/provincialPlatformReport.html?wid=" + str, //iframe的url，no代表不显示滚动条
        title: "省平台上报",
        area: ["70%", "70%"], //宽高
        shade: 0,
    });
}



